import request from '@/utils/request'


export default {
    // 站点总数数据请求
    alarmCount_api(params) {
        return request({
            url: `alarmPower/count`,
            method: 'GET',
            params: params
        })
    },
    // 运维人员
    personalCount_api(params) {
        return request({
            url: `personnel/count`,
            method: 'GET',
            params: params
        })
    },

    // 总实时负荷
    epLoad_api(params) {
        return request({
            url: `rtAnalogData/epLoad`,
            method: 'GET',
            params: params
        })
    },

    // 站点总数
    siteCount_api(params) {
        return request({
            url: `site/count`,
            method: 'GET',
            params: params
        })
    },



    // 设备数量echarts饼图
    deviceTypeCount_api(params) {
        return request({
            url: `device/count`,
            method: 'GET',
            params: params
        })
    },

    // 故障数量echarts折线图
    trendIco_api(params) {
        return request({
            url: `alarmPower/trendIco`,
            method: 'GET',
            params: params
        })
    },

    // 重载运行echarts锥形图
    rtAnalogData_api(params) {
        return request({
            url: `rtAnalogData/count`,
            method: 'GET',
            params: params
        })
    },

    // 地图撒点
    siteList_api(params) {
        return request({
            url: `site/list`,
            method: 'GET',
            params: params
        })
    },

    // 站点详情
    siteOne_api(params) {
        return request({
            url: `site/one`,
            method: 'GET',
            params: params
        })
    },

    // 日月年用电量
    htAnalogData_api(params) {
        return request({
            url: `htAnalogData/count`,
            method: 'GET',
            params: params
        })
    },


    // 今日昨日用电量趋势
    eptrendIco_api(params) {
        return request({
            url: `htAnalogData/eptrendIco`,
            method: 'GET',
            params: params
        })
    },

    // 今日昨日用电量趋势
    eptrendIcoMonth_api(params) {
        return request({
            url: `htAnalogData/eptrendIcoMonth`,
            method: 'GET',
            params: params
        })
    },



}